Class | RDoc::Attr
In: | rdoc/code_objects.rb
Parent: | CodeObject

Represent attributes

### Methods

<=> new to_s

### Attributes

name | [RW] |
rw | [RW] |
text | [RW] |
visibility | [RW] |

### Public Class methods

new(text, name, rw, comment)

[Source]

    # File rdoc/code_objects.rb, line 722
        def initialize(text, name, rw, comment)
          super()
          @text = text
          @name = name
          @rw = rw
          @visibility = :public
          self.comment = comment
        end

### Public Instance methods

<=>(other)

[Source]

    # File rdoc/code_objects.rb, line 735
        def <=>(other)
          self.name <=> other.name
        end

to_s()

[Source]

    # File rdoc/code_objects.rb, line 731
        def to_s
          "attr: #{self.name} #{self.rw}\n#{self.comment}"
        end

[Validate]